Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 980185 - FTBFS on secondary arches [NEEDINFO]
Summary: FTBFS on secondary arches
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: ugene
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yuliya Algaer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64 ZedoraTracker F-ExcludeArch-ARM
TreeView+ depends on / blocked
 
Reported: 2013-07-01 15:45 UTC by Dan Horák
Modified: 2017-12-12 10:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:25:32 UTC
pbrobinson: needinfo? (yalgaer)


Attachments (Terms of Use)
Patch to get build ugene on aarch64 and ppc64le (deleted)
2015-04-08 16:56 UTC, Marcin Juszkiewicz
no flags Details | Diff

Description Dan Horák 2013-07-01 15:45:04 UTC
ugene 1.20.0 fails to build on 64-bit big endian arches (ppc64, s390x) with

...
g++ -c -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -m31 -march=z9-109 -mtune=z10 -O2 -D_REENTRANT -Wall -W -DUGENE_VERSION=1.12.0 -DUGENE_VER_MAJOR=1 -DUGENE_VER_MINOR=12 -DUGENE_VER_PATCH=0 -DUGENE_X86 -DUGENE_DATA_DIR=\"/usr/share/ugene/data\" -DOPENCL_SUPPORT -DQT_DLL -DQT_FATAL_ASSERT -DNDEBUG -DQT_NO_DEBUG -DQT_WEBKIT_LIB -DQT_SCRIPT_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/lib/qt4/mkspecs/linux-g++ -I. -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include/QtGui -I/usr/include/QtXml -I/usr/include/QtScript -I/usr/include/QtWebKit -I/usr/include -Isrc -I_tmp -I../include -I../corelibs/U2Private/src -I_tmp/moc/release -I_tmp/ui -o _tmp/obj/release/qrc_ugeneui.o _tmp/rcc/qrc_ugeneui.cpp
g++ -Wl,-O1 -Wl,-z,relro -o ../_release/ugeneui _tmp/obj/release/Main.o _tmp/obj/release/AppSettingsDialogController.o _tmp/obj/release/AppSettingsGUIImpl.o _tmp/obj/release/AboutDialogController.o _tmp/obj/release/CheckUpdatesTask.o _tmp/obj/release/DockManagerImpl.o _tmp/obj/release/MainWindowImpl.o _tmp/obj/release/MDIManagerImpl.o _tmp/obj/release/MenuManager.o _tmp/obj/release/ShutdownTask.o _tmp/obj/release/ToolBarManager.o _tmp/obj/release/PluginViewerController.o _tmp/obj/release/PluginViewerImpl.o _tmp/obj/release/DocumentFormatSelectorController.o _tmp/obj/release/DocumentReadingModeSelectorController.o _tmp/obj/release/MultipleDocumentsReadingModeSelectorController.o _tmp/obj/release/ExportProjectDialogController.o _tmp/obj/release/ProjectImpl.o _tmp/obj/release/ProjectLoaderImpl.o _tmp/obj/release/ProjectServiceImpl.o _tmp/obj/release/ProjectTasksGui.o _tmp/obj/release/BuiltInObjectViews.o _tmp/obj/release/ProjectViewDocTree.o _tmp/obj/release/ProjectViewImpl.o _tmp/obj/release/Shtirlitz.o _tmp/obj/release/TaskStatusBar.o _tmp/obj/release/TaskViewController.o _tmp/obj/release/FormatSettingsGUIController.o _tmp/obj/release/LogSettingsGUIController.o _tmp/obj/release/NetworkSettingsGUIController.o _tmp/obj/release/ResourceSettingsGUIController.o _tmp/obj/release/UserApplicationsSettingsGUIController.o _tmp/obj/release/TmpDirChangeDialogController.o _tmp/obj/release/moc_AppSettingsDialogController.o _tmp/obj/release/moc_AppSettingsDialogTree.o _tmp/obj/release/moc_AppSettingsGUIImpl.o _tmp/obj/release/moc_AboutDialogController.o _tmp/obj/release/moc_CheckUpdatesTask.o _tmp/obj/release/moc_DockManagerImpl.o _tmp/obj/release/moc_MainWindowImpl.o _tmp/obj/release/moc_MDIManagerImpl.o _tmp/obj/release/moc_MenuManager.o _tmp/obj/release/moc_ShutdownTask.o _tmp/obj/release/moc_PluginViewerController.o _tmp/obj/release/moc_PluginViewerImpl.o _tmp/obj/release/moc_DocumentFormatSelectorController.o _tmp/obj/release/moc_DocumentReadingModeSelectorController.o _tmp/obj/release/moc_MultipleDocumentsReadingModeSelectorController.o _tmp/obj/release/moc_ExportProjectDialogController.o _tmp/obj/release/moc_ProjectImpl.o _tmp/obj/release/moc_ProjectLoaderImpl.o _tmp/obj/release/moc_ProjectServiceImpl.o _tmp/obj/release/moc_ProjectTasksGui.o _tmp/obj/release/moc_ProjectViewImpl.o _tmp/obj/release/moc_Shtirlitz.o _tmp/obj/release/moc_TaskStatusBar.o _tmp/obj/release/moc_TaskViewController.o _tmp/obj/release/moc_FormatSettingsGUIController.o _tmp/obj/release/moc_LogSettingsGUIController.o _tmp/obj/release/moc_NetworkSettingsGUIController.o _tmp/obj/release/moc_ResourceSettingsGUIController.o _tmp/obj/release/moc_UserApplicationsSettingsGUIController.o _tmp/obj/release/moc_TmpDirChangeDialogController.o _tmp/obj/release/qrc_ugeneui.o    -L/usr/lib -L../_release -lU2Core -lU2Algorithm -lU2Formats -lU2Gui -lU2View -lU2Test -lU2Remote -lU2Lang -lU2Private -lugenedb -lpthread -lQtWebKit -lQtScript -lQtXml -lQtGui -lQtNetwork -lQtCore 
../_release/libU2Algorithm.so: undefined reference to `float qbswap<float>(float)'
../_release/libU2Algorithm.so: undefined reference to `char qbswap<char>(char)'
collect2: error: ld returned 1 exit status
...

Version-Release number of selected component (if applicable):
ugene-1.12.0-1.fc19

Comment 1 Dan Horák 2013-07-01 15:48:32 UTC
full logs are at
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1197480
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1090643

seems also 32-bit big endians are failing

Comment 2 Fedora End Of Life 2015-01-09 18:36:25 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Jaroslav Reznik 2015-03-03 14:58:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Marcin Juszkiewicz 2015-04-08 16:56:41 UTC
Created attachment 1012312 [details]
Patch to get build ugene on aarch64 and ppc64le

With this patch I got ugene built for aarch64 and ppc64le. All it does is remove of cpuid call on architectures other than x86(-64) but I did not tested on them does it builds there.

big endian ones fail like they did

Comment 5 Fedora End Of Life 2016-07-19 10:15:16 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Peter Robinson 2016-07-19 10:49:42 UTC
still an issue

Comment 7 Jan Kurik 2016-07-26 05:13:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 8 Fedora End Of Life 2017-11-16 18:42:01 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2017-12-12 10:25:32 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Peter Lemenkov 2017-12-12 10:30:36 UTC
Still cannot be built for anything but x86/x86_64. Reopening it.


Note You need to log in before you can comment on or make changes to this bug.